import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/admin/opinions/list`,
    method: 'post',
    data
  })
}

// 详情
export function detail(id) {
  return request({
    url: `/admin/opinions/queryById/${id}`,
    method: 'get'
  })
}

// 提交
export function submit(data) {
  return request({
    url: `/admin/opinions/reply`,
    method: 'post',
    data
  })
}

// 反馈类型列表
export function typeList() {
  return request({
    url: `/admin/opinions/typeList`,
    method: 'post'
  })
}